# $Revision: 1.44.2.3 $, $Date: 2007/04/19 20:42:43 $
# TODO:
#   - Check if linking with libXrender.la is OK - I'm not sure.
#   - Check/fix Patch0
#
Summary:	knoda - MySQL/PostgreSQL/any ODBC DB GUI for KDE
Summary(pl):	knoda - Graficzny interejs do baz MySQL/PostgreSQL/ODBC dla KDE
Name:		knoda
Version:	0.8
Release:	2
License:	GPL
Group:		Applications/Databases
Source0:	http://dl.sourceforge.net/knoda/%{name}-%{version}.tar.gz
# Source0-md5:	c5cef874a0d3edf8af8b74f577b88dcb
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-ac-am-fixes.patch
Patch2:		kde-ac260-lt.patch
URL:		http://knoda.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	hk_classes-devel >= %{version}
BuildRequires:	libtool
BuildRequires:	kdelibs-devel
# withdrawn?
BuildRequires:	xrender-devel
BuildRequires:	rpmbuild(macros) >= 1.129
# NOTE: knoda 0.7 has link errors when used with hk_classes 0.7.2  
Requires:	hk_classes = %{version}
Requires:	%{name}-common = %{version}-%{release}
Obsoletes:	python-hk_kdeclasses
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE-based frontend for MySQL/PostgreSQL/ODBC DB.

%description -l pl
Graficzny interfejs do baz MySQL/PostgreSQL/ODBC dla KDE.

%description -l ru
 MySQL/PostgreSQL  KDE.

%package rt
Summary:	Knoda locked down database front end for corp use
Summary(pl):	Knoda - zablokowany frontend bazy danych dla uytku korporacyjnego
Group:		Applications/Databases
Requires:	%{name}-common = %{version}-%{release}

%description rt
Knoda locked down database front end for corp use.

%description rt -l pl
Knoda - zablokowany frontend bazy danych do uytku korporacyjnego.

%package common
Summary:	Knoda - common part for knoda and knoda-rt
Summary(pl):	Knoda - wsplna cz dla knoda i knoda-rt
Group:		Applications/Databases

%description common
Knoda - common part for knoda and knoda-rt.

%description common -l pl
Knoda - wsplna cz dla knoda i knoda-rt.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1

%build
cp -f /usr/share/automake/config.sub admin
%{__make} -f admin/Makefile.common cvs

%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir} \
        kdelnkdir=%{_desktopdir}/kde

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post   common -p /sbin/ldconfig
%postun common -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/knoda
%{_desktopdir}/kde/knoda.desktop

%files rt
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/knoda-rt

%files common -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhk_kde*.so
%attr(755,root,root) %{_libdir}/kde3/libhk_*.so
%{_libdir}/kde3/libhk_*.la
%{_datadir}/apps/hk_kdeclasses
%{_datadir}/apps/knoda
%{_datadir}/services/*.desktop
%{_datadir}/mimelnk/application/*.desktop
%{_iconsdir}/hicolor/*/*/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: knoda.spec,v $
Revision 1.44.2.3  2007/04/19 20:42:43  hawk
- kde-am.patch will not work for knoda 0.8, use separate patch

Revision 1.44.2.2  2007/04/19 19:50:28  hawk
- doh... apply patches too

Revision 1.44.2.1  2007/04/19 19:36:17  hawk
- fix automake 2.60 issues
- release 2

Revision 1.44  2005/11/18 21:28:19  twittner
- up to 0.8 (moved from DEVEL branch)

Revision 1.43.2.4  2005/11/02 16:39:08  charles
- default driver dir fixed in hk_classes
- rm %{_libdir}/*.la (now it works fine without *.la)

Revision 1.43.2.3  2005/10/31 21:53:22  twittner
- up to 0.8

Revision 1.43.2.2  2005/09/22 16:19:21  twittner
- up to 0.8test2

Revision 1.43.2.1  2005/09/04 01:00:50  twittner
- ver. 0.8test1

Revision 1.42  2005/08/14 20:13:47  twittner
- rel. 2 - fixed -desktop.patch (forgotten commit)
- STBR again

Revision 1.41  2005/07/19 21:21:47  twittner
- removed commented out %%files, fixed my previous commitlog
- rel. 1

Revision 1.40  2005/07/09 21:45:08  twittner
- up to 0.7.4 - builds (many unpackaged files with headers,
  works - but don't ask me how it works (with 0.7.3 I had
  gotten repetitive segfaults)

Revision 1.39  2005/05/27 20:00:05  ankry
- twittner, thanx

Revision 1.38  2005/05/27 19:16:34  ankry
- patch is back, amd64 fix, rel. 3

Revision 1.37  2005/05/27 18:53:22  ankry
- rel. 2

Revision 1.36  2005/05/27 12:41:49  twittner
- fix compilation ( http://tinyurl.com/9meet ) in accordance with
  kdepackage-themplate.spec

Revision 1.35  2005/03/29 13:13:39  darekr
- BR: ac, lt

Revision 1.34  2005/03/27 19:19:22  havner
- no gettextize

Revision 1.33  2005/03/27 19:15:32  havner
- full ac/am

Revision 1.32  2005/03/17 23:41:37  paszczus
- updated to 0.7.3

Revision 1.31  2005/02/23 09:24:43  darekr
- _kdedocdir requires macros 1.129

Revision 1.30  2005/02/16 16:52:25  matkor
- Version 0.7.2-1.

Revision 1.29  2005/01/09 18:07:09  saq
- missing pyreqeq

Revision 1.28  2004/09/11 18:26:36  wolf
- rel 1
- fixed group

Revision 1.27  2004/08/14 23:06:24  matkor
- Version 0.7. Wants libXrender.la to link ... I'm stuck :/

Revision 1.26  2004/07/20 10:41:37  qboosh
- added desktop patch, removed unsupported locolor icons
- Obsoletes for dropped python package, release 2

Revision 1.25  2004/04/05 14:14:03  matkor
- Version 0.6.3-1. Python modules seem not be included in this version - commented out.

Revision 1.24  2004/03/30 13:48:48  qboosh
- fixed python package name and attributes
- refresh config.sub for amd64

Revision 1.23  2004/03/25 15:45:21  matkor
- Rel. 4. File fixes.

Revision 1.22  2004/03/15 11:32:40  matkor
- Version 0.6.2a-3. Enabled python module.

Revision 1.21  2004/03/14 22:45:44  gotar
- BC: libiconv-devel

Revision 1.20  2004/03/14 12:33:04  matkor
- Version 0.6.2a-2. BR: libiconv-devel. added python TODO.

Revision 1.19  2003/11/18 18:37:08  kosmo
- updated to 0.6.2a

Revision 1.18  2003/10/23 10:11:25  qboosh
- added kde3gridpart files
- BR: fam-devel,libart_lgpl-devel

Revision 1.17  2003/10/21 23:54:01  matkor
- Version 0.6.1. Release 5.1. Untested.

Revision 1.16  2003/08/12 22:32:48  ankry
- cosmetics

Revision 1.15  2003/06/24 10:20:46  blues
- release 1

Revision 1.14  2003/05/28 12:59:22  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 05:49:31  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/05/09 13:40:05  qboosh
- merged update to 0.6 from RA-branch (sic)

Revision 1.11  2003/01/28 14:17:17  qboosh
- added missing _htmldir definition and --with-kde to find_lang

Revision 1.10  2003/01/22 11:46:50  matkor
- ver 0.5.6.

Revision 1.9  2003/01/21 08:31:12  matkor
 - ver 0.5.6. NFY

Revision 1.8  2003/01/18 22:52:01  juandon
- removed two lines with define

Revision 1.7  2002/12/31 11:46:57  qboosh
- changed _prefix, fixed file list

Revision 1.6  2002/12/04 22:45:11  matkor
- Works (at least with Postgresql). Needs some cosmetics and is ready for Ra-test

Revision 1.5  2002/11/27 21:57:28  matkor
- NFY. Waiting for hk_classes-devel >= 0.5.5

Revision 1.4  2002/11/27 21:43:46  matkor
- Added files. Works cool.

Revision 1.3  2002/11/21 14:29:34  qboosh
- added URL

Revision 1.2  2002/11/21 12:33:13  qboosh
- some cleanups

Revision 1.1  2002/11/16 17:23:59  matkor
- Very initial specs. Both build and run, but need ac/am get done right.

* Mon Sep 23 2002 <mazay@phone.dn.ua>
- version 0.5.4

* Wed Jul 17 2002 <mazay@phone.dn.ua>
- initial rpm release
